#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <WSCmessageDialog.h>
#include <WSCvlabel.h>

extern WSCmessageDialog* newmess_002;
extern WSCvlabel* newvlab_001;

void btn1_ep(WSCbase* object){
  //do something...
  //ダイアログを表示します。
  long ret_val = newmess_002->popup();
  if (ret_val == WS_DIALOG_OK){
    //ダイアログの OK ボタンが押された場合です。
    //隣のラベルに表示します。
    newvlab_001->setProperty(WSNlabelString,"ダイアログ OK!");
  }else if (ret_val == WS_DIALOG_CANCEL){
    //ダイアログでキャンセルボタンが押された場合です。
    //隣のラベルに表示します。
    newvlab_001->setProperty(WSNlabelString,"ダイアログ CANCEL!");
  }
}
static WSCfunctionRegister  op("btn1_ep",(void*)btn1_ep);
